<?php

namespace App\Controller\Admin;

use App\Entity\Blog;
use App\Entity\NTPServer;
use App\Entity\Page;
use App\Entity\Redirect;
use App\Entity\SocialLink;
use App\Entity\User;
use EasyCorp\Bundle\EasyAdminBundle\Config\Dashboard;
use EasyCorp\Bundle\EasyAdminBundle\Config\MenuItem;
use EasyCorp\Bundle\EasyAdminBundle\Controller\AbstractDashboardController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

class DashboardController extends AbstractDashboardController
{
    #[Route('/admin', name: 'admin')]
    public function index(): Response
    {
        return $this->render('admin/index.html.twig');
    }

    public function configureDashboard(): Dashboard
    {
        return Dashboard::new()
            ->setTitle('Website');
    }

    public function configureMenuItems(): iterable
    {
        yield MenuItem::linkToDashboard('Dashboard', 'fa fa-home');
        yield MenuItem::linkToCrud('User', 'fas fa-list', User::class);
        yield MenuItem::linkToCrud('Blog', 'fas fa-list', Blog::class);
        yield MenuItem::linkToCrud('Social Links', 'fas fa-list', SocialLink::class);
        yield MenuItem::linkToCrud('Pages', 'fas fa-list', Page::class);
        yield MenuItem::linkToCrud('NTP Server', 'fas fa-list', NTPServer::class);
        yield MenuItem::linkToCrud('Redirects', 'fas fa-list', Redirect::class);
    }
}
