<?php

namespace App\Service;

use Symfony\Contracts\HttpClient\HttpClientInterface;

class MailAliasService
{
    public function __construct(
        private readonly string $mailAliasAddress,
        private readonly string $mailAliasApiKey,
        private readonly string $mailAliasTargetAddress,
        private readonly HttpClientInterface $httpClient
    ) {
    }

    public function generateAliasMail(string $expiration = '4 hours', string $targetMailAddress = null): string
    {
        if (!$targetMailAddress) {
            $targetMailAddress = $this->mailAliasTargetAddress;
        }
            $postBody = [
                'apikey' => $this->mailAliasApiKey,
                'expire' => $expiration,
                'targetMail' => $targetMailAddress
            ];
            $response = $this->httpClient->request(
                'POST',
                $this->mailAliasAddress,
                [
                    'json' => $postBody
                ]
            );
            $responseBody = json_decode($response->getContent(), true);
            return $responseBody['mailAddress'];
    }
}
