<?php

namespace App\Service;

use App\Entity\Page;

class PlaceholderService
{
    public function __construct(
        private readonly MailAliasService $mailAliasService
    ) {
    }

    public function replacePlaceholderInPage(Page $page): Page
    {
        if (!$page->isHasPlaceholder()) {
            return $page;
        }


        if (str_contains($page->getContent(), '<contactmail>')) {
            $page->setContent(str_replace(
                '<contactmail>',
                $this->mailAliasService->generateAliasMail(),
                $page->getContent()
            ));
        }

        return $page;
    }
}
