<?php

namespace App\Service;

use Symfony\Contracts\HttpClient\HttpClientInterface;

class PushoverService
{
    public function __construct(
        private readonly HttpClientInterface $httpClient,
        private readonly string $pushoverToken,
        private readonly string $pushoverUser
    ) {
    }

    public function sendNotification(string $message, string $title = null, string $url = null): void
    {
        $body = [
            'token' => $this->pushoverToken,
            'user' => $this->pushoverUser,
            'message' => $message
        ];
        if ($title) {
            $body['title'] = $title;
        }
        if ($url) {
            $body['url'] = $url;
        }


        $this->httpClient->request(
            'POST',
            'https://api.pushover.net/1/messages.json',
            [
                'json' => $body
            ]
        );
    }
}
