<?php

namespace App\Twig\Components;

use App\Entity\Blog;
use App\Entity\Navigation;
use App\Entity\SocialLink;
use App\Repository\BlogRepository;
use App\Repository\NavigationRepository;
use App\Repository\SocialLinkRepository;
use Symfony\UX\TwigComponent\Attribute\AsTwigComponent;

#[AsTwigComponent('footer')]
final class FooterComponent
{
    /**
     * @var array|SocialLink[]
     */
    public array $socialLinks;
    /**
     * @var array|Blog[]
     */
    public array $blogEntries;
    /**
     * @var array|Navigation[]
     */
    public array $navigation;

    public function __construct(
        SocialLinkRepository $socialLinkRepository,
        BlogRepository $blogRepository,
        NavigationRepository $navigationRepository
    ) {
        $this->socialLinks = $socialLinkRepository->findAll();
        $this->blogEntries = $blogRepository->findBy(array(), array('id' => 'DESC'), 5, 0);
        $this->navigation = $navigationRepository->getTopLevelElements(1);
    }
}
