<?php

namespace App\Tests\Service;

use PHPUnit\Framework\TestCase;

class GravatarServiceTest extends TestCase
{
    public function testUrlGeneration(): void
    {
        $this->assertStringContainsString('https://www.gravatar.com/avatar/', \App\Service\GravatarService::getGravatar('admin@example.com'));
    }

    public function testEmailNotInCleartext(): void
    {
        $this->assertStringNotContainsString('admin@example.com', \App\Service\GravatarService::getGravatar('admin@example.com'));
    }

    public function testSizeParameter(): void
    {
        $this->assertStringContainsString('s=2222', \App\Service\GravatarService::getGravatar('admin@example.com', 2222));
    }

    public function testDefaultImagesetParameter(): void
    {
        $this->assertStringContainsString('d=404', \App\Service\GravatarService::getGravatar('admin@example.com', 80, '404'));
    }

    public function testMaximumRating(): void
    {
        $this->assertStringContainsString('r=x', \App\Service\GravatarService::getGravatar('admin@exaple.com', 80, 'mp', 'x'));
    }

}