<?php

namespace App\Tests\Service;

use PHPUnit\Framework\TestCase;

class ImgProxyServiceTest extends TestCase
{
    private \App\Service\ImgProxyService $service;
    private string $testImageUrl = "https://example.com/test.jpg";

    protected function setUp(): void
    {
        $this->service = new \App\Service\ImgProxyService(
            "test-salt",
            "test-key",
            "https://imgproxy.example.com",
            300
        );
    }

    public function testGenerateURLWithoutWidth(): void
    {
        $expected = "https://imgproxy.example.com/CNzGJw3ZTTBATb3iFz3RHkyVsI_kGcXrTgQEES7c2Pg/rs:fit:0:300:1/g:no/aHR0cHM6Ly9leGFtcGxlLmNvbS90ZXN0LmpwZw.webp";
        $this->assertEquals($expected, $this->service->generateURL($this->testImageUrl));
    }

    public function testGenerateURLWithWidth(): void
    {
        $expected = "https://imgproxy.example.com/_SG_TpnzyWXWqo1K9FOP3HOwWvz7YBcIv3aB6h5WWPw/rs:fit:0:200:1/g:no/aHR0cHM6Ly9leGFtcGxlLmNvbS90ZXN0LmpwZw.webp";
        $this->assertEquals($expected, $this->service->generateURL($this->testImageUrl, 200));
    }
}